@mixin base-theme($theme) {
  $background: map-get($theme, background);
  $foreground: map-get($theme, foreground);
  background: map-get($background, background);

  h1,
  h2,
  .mat-body {
    color: mat-color($foreground, text);
  }
}
